diff --git a/src/test/modules/test_pg_dump/t/001_base.pl b/src/test/modules/test_pg_dump/t/001_base.pl
new file mode 100644
index fb4f573..6086317
*** a/src/test/modules/test_pg_dump/t/001_base.pl
--- b/src/test/modules/test_pg_dump/t/001_base.pl
*************** my %tests = (
*** 283,288 ****
--- 283,313 ----
  			schema_only        => 1,
  			section_pre_data   => 1,
  			section_post_data  => 1, }, },
+ 	'CREATE TABLE regress_test_schema_table' => {
+ 		create_order => 3,
+ 		create_sql   => 'CREATE TABLE regress_pg_dump_schema.test_schema_table (
+ 						   col1 serial primary key,
+ 						   CHECK (col1 <= 1000)
+ 					   );',
+ 		regexp => qr/^
+ 			\QCREATE TABLE test_schema_table (\E
+ 			\n\s+\Qcol1 integer NOT NULL,\E
+ 			\n\s+\QCONSTRAINT test_table_col1_check CHECK \E
+ 			\Q((col1 <= 1000))\E
+ 			\n\);/xm,
+ 		like => {
+ 			binary_upgrade     => 1,
+ 			clean              => 1,
+ 			clean_if_exists    => 1,
+ 			createdb           => 1,
+ 			defaults           => 1,
+ 			no_privs           => 1,
+ 			no_owner           => 1,
+ 			schema_only        => 1,
+ 			section_pre_data   => 1, },
+ 		unlike => {
+ 			pg_dumpall_globals => 1,
+ 			section_post_data  => 1, }, },
  	'CREATE ACCESS METHOD regress_test_am' => {
  		regexp => qr/^
  			\QCREATE ACCESS METHOD regress_test_am TYPE INDEX HANDLER bthandler;\E
diff --git a/src/test/modules/test_pg_dump/test_pg_dump--1.0.sql b/src/test/modules/test_pg_dump/test_pg_dump--1.0.sql
new file mode 100644
index c2fe90d..3f88e6c
*** a/src/test/modules/test_pg_dump/test_pg_dump--1.0.sql
--- b/src/test/modules/test_pg_dump/test_pg_dump--1.0.sql
*************** CREATE TABLE regress_pg_dump_table (
*** 10,15 ****
--- 10,24 ----
  
  CREATE SEQUENCE regress_pg_dump_seq;
  
+ -- We want to test that schemas and objects created in the schema by the
+ -- extension are not dumped, yet other objects created afterwards will be
+ -- dumped.
+ CREATE SCHEMA regress_pg_dump_schema
+        CREATE TABLE regress_pg_dump_schema_table (
+               col1 serial,
+               col2 int
+ 	);
+ 
  GRANT USAGE ON regress_pg_dump_seq TO regress_dump_test_role;
  
  GRANT SELECT ON regress_pg_dump_table TO regress_dump_test_role;
